常见问题常见问题   搜索搜索   会员列表会员列表   团队团队   注册注册    个人资料个人资料   登录查看您的站内信件登录查看您的站内信件   登录登录 

phantomjs 没人维护哪

 
发表新文章   回复文章    FreeBSD China -> 技术交流
阅读上一个主题 :: 阅读下一个主题  
作者 留言
flfq
道童


注册时间: 2007-02-12
文章: 420

文章发表于: Thu 2016-04-07 17:33:06    发表主题: phantomjs 没人维护哪 引用并回复

freebsd 上是 phantomjs 2.0.0
官方升级到 2.1.1 使用的是qt5.5

给维护者发了邮件,也没有反应

我看freebsd支持qt5.5,按理phantomjs 2.1.1完全可以在freebsd 下使用qt编译

根据phantomjs 官方编译教程,在freebsd上编译出现


代码:
The ICU library support cannot be enabled.
 Turn on verbose messaging (-v) to /root/phantomjs/src/qt/qtbase/configure to see the final report.
 If you believe this message is in error you may use the continue
 switch (-continue) to /root/phantomjs/src/qt/qtbase/configure to continue.

ERROR: Failed to build PhantomJS! Configuration of Qt Base failed


我已经安装了icu了,但不知道哪里还需要添加关系
返回页首
阅览会员资料 发送站内信件
love2005
半仙


注册时间: 2005-11-04
文章: 161

文章发表于: Thu 2016-04-07 22:42:45    发表主题: Re: phantomjs 没人维护哪 引用并回复

flfq 写到:
freebsd 上是 phantomjs 2.0.0
官方升级到 2.1.1 使用的是qt5.5

给维护者发了邮件,也没有反应

我看freebsd支持qt5.5,按理phantomjs 2.1.1完全可以在freebsd 下使用qt编译

根据phantomjs 官方编译教程,在freebsd上编译出现


代码:
The ICU library support cannot be enabled.
 Turn on verbose messaging (-v) to /root/phantomjs/src/qt/qtbase/configure to see the final report.
 If you believe this message is in error you may use the continue
 switch (-continue) to /root/phantomjs/src/qt/qtbase/configure to continue.

ERROR: Failed to build PhantomJS! Configuration of Qt Base failed


我已经安装了icu了,但不知道哪里还需要添加关系


现在开源软件对freebsd支持不好,比如monodevlop最新版就没办法升级使用了。
目前kde4使用的是qt4,,qt5没什么人用吧
返回页首
阅览会员资料 发送站内信件
syh
老妖


注册时间: 2010-05-02
文章: 1616
来自: 卡拉赞

文章发表于: Fri 2016-04-08 22:30:16    发表主题: 引用并回复

的确有些开源软件用了Linux独有的API所以对BSD支持不好但这不是主要原因多数人编译遇到问题是因为他没有好好研究他想用的这个软件所提供的各种构建参数因此既不是该软件的问题也不是BSD的问题而是……
_________________
又要毕业了。应该是最后一次。
-------------
audio/mous
ports-mgmt/pkg-rmleaf
Buffer Hint: http://www.vim.org/scripts/script.php?script_id=5272
返回页首
阅览会员资料 发送站内信件
flfq
道童


注册时间: 2007-02-12
文章: 420

文章发表于: Sat 2016-04-09 02:47:01    发表主题: 引用并回复

syh 写到:
的确有些开源软件用了Linux独有的API所以对BSD支持不好但这不是主要原因多数人编译遇到问题是因为他没有好好研究他想用的这个软件所提供的各种构建参数因此既不是该软件的问题也不是BSD的问题而是……


主要是构建参数,已经看到git上有同样的问题,一会儿编译看看行不行
返回页首
阅览会员资料 发送站内信件
从以前的文章开始显示:   
发表新文章   回复文章    FreeBSD China -> 技术交流 论坛时间为 北京时间
1页/共1

 
转跳到:  
不能发布新主题
不能在这个论坛回复主题
不能在这个论坛编辑自己的文章
不能在这个论坛删除自己的文章
不能在这个论坛发表投票


Powered by phpBB 2023cc © 2003 Opensource Steps; © 2003-2009 The FreeBSD Simplified Chinese Project
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Project Honey Pot and phpBB.cc
silvery-trainer
The FreeBSD China Project 网站: 中文计划网站 社区网站
The FreeBSD China Project 版权所有 (C) 1999 - 2003 网页设计版权 著作权和商标